<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\ZpravaRepository")
 */
class Zprava
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    private $text;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $precteno;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\User", inversedBy="zprava")
     */
    private $odesilatel;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\User")
     */
    private $prijemce;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $predmet;

    /**
     * @ORM\Column(type="date", nullable=true)
     */
    private $Dat_odesl;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getText(): ?string
    {
        return $this->text;
    }

    public function setText(?string $text): self
    {
        $this->text = $text;

        return $this;
    }

    public function getPrecteno(): ?bool
    {
        return $this->precteno;
    }

    public function setPrecteno(?bool $precteno): self
    {
        $this->precteno = $precteno;

        return $this;
    }

    public function getOdesilatel(): ?User
    {
        return $this->odesilatel;
    }

    public function setOdesilatel(?User $odesilatel): self
    {
        $this->odesilatel = $odesilatel;

        return $this;
    }

    public function getPrijemce(): ?User
    {
        return $this->prijemce;
    }

    public function setPrijemce(?User $prijemce): self
    {
        $this->prijemce = $prijemce;

        return $this;
    }

    public function getPredmet(): ?string
    {
        return $this->predmet;
    }

    public function setPredmet(?string $predmet): self
    {
        $this->predmet = $predmet;

        return $this;
    }

    public function getDatOdesl(): ?\DateTimeInterface
    {
        return $this->Dat_odesl;
    }

    public function setDatOdesl(?\DateTimeInterface $Dat_odesl): self
    {
        $this->Dat_odesl = $Dat_odesl;

        return $this;
    }
}
